Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Identity Verification

API Description

POST https://vida-host/main/v3/services/web/ekyc

Headers

Name
Type
Description

Authorization*

OAuth access token.

Get the token by calling the

Get Access Token API

Content-Type*

application/json

Format type of request body

Request Body

Name
Type
Description

mobile*

String

User mobile number with country code without space. 1. [+] [country code] [ user phone number]

2. No special characters. 3. Provide phone number in E.164 format.

example: +6281293671234

email*

String

User valid email address

example: everest@gmail.com

govId*

String

(Government Id - User NIK number)

16 digit number of Nomor Induk Kependudukan (Government Issued Id- NIK)

fullName*

String

User full name as per KTP.

example: Johnny Rudiantara Sembiring

dob*

String

user date of birth as per KTP.

Provide user date of birth In YYYY-MM-DD format.

example: 1975-08-16

idCardPhoto*

String

Format: base64 string

User ID card photo converted in base64 strings.

Format: JPG/JPEG files only

Max file size: 10 MB

partnerTrxId*

String

Reference ID supplied by the customer, used for identifying the transaction and it can't be duplicated.

The identity verification status would be notified to the partner against this partnerTrxId by invoking the partner’s webhook URL.

Max length: 36 character

API Response

If the demog check is successful, a unique eventId is created for this API call to track the further status

HTTP Status Code: 200

JSON Response
{
    "data": {
        "eventId": "99a173f7-b1fd-4495-8787-59940b9a1efc"
    }
}

Verification Status

VIDA's Status Check API allows partners to track identity verification requests using a unique transaction ID (kycEventId) for status updates and failure reasons. Please refer to the verification status page for the api details and description.

Webhook

The Webhook enables VIDA to notify partners about identity verification updates, including status and transaction details. Partners can track verification progress by configuring their API to accept JSON requests from VIDA. For more details and setup assistance, please refer to the Webhook section.

Error Codes

Error Code
Title
Detail
Description

1098

Invalid Request

Invalid Government ID

Demographic validation failed for invalid NIK

1099

Authoritative sources offline

Demographic information validation failed due to unavailable authoritative sources. Retry after an hour.

1100

Invalid request

Verified Demographic fields, [govId, fullName, dob] cannot be updated

Attempted to update verified demographic details (name, DoB) for the same user.

1091

Invalid Request

The eKYC of the user is completed

Attempted to initiate eKYC for a user whose eKYC is already approved.

1096

Invalid Request

The size of idCardPhoto is greater than permitted limit

KTP card image size exceeds the permitted limit (10 MB).

1096

Invalid Request

The idCardPhoto is not base64 encoded

KTP card image is not properly converted into base64 format.

1096

Invalid value for field mobile

Invalid phone number

Provided mobile number is not in E.164 format.

1096

Invalid value for field email

must be a well-formed email address

Provided email address is not a well-formed email address.

Last updated